org.apache.geode.cache.query

## Class IndexInvalidException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.query.IndexInvalidException

- All Implemented Interfaces:
    java.io.Serializable

      public class IndexInvalidException
      extends GemFireException

  Thrown if the index definition is not valid.
  Since:
    GemFire 4.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexInvalidException(java.lang.String msg)` Construct an instance of IndexInvalidException
    `IndexInvalidException(java.lang.String msg, java.lang.Throwable cause)` Construct an instance of IndexInvalidException
    `IndexInvalidException(java.lang.Throwable cause)` Construct an instance of IndexInvalidException

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexInvalidException

          public IndexInvalidException(java.lang.String msg)

      Construct an instance of IndexInvalidException
      Parameters:
        `msg` - the error message

    - #### IndexInvalidException

          public IndexInvalidException(java.lang.String msg,
                                       java.lang.Throwable cause)

      Construct an instance of IndexInvalidException
      Parameters:
        `msg` - the error message
        `cause` - a Throwable cause

    - #### IndexInvalidException

          public IndexInvalidException(java.lang.Throwable cause)

      Construct an instance of IndexInvalidException
      Parameters:
        `cause` - a Throwable cause